org.jboss.resteasy.core.interception

## Class ReaderInterceptorRegistry.ReaderInterceptorFacade

- java.lang.Object
- - org.jboss.resteasy.core.interception.ReaderInterceptorRegistry.ReaderInterceptorFacade

- All Implemented Interfaces:
    ReaderInterceptor
  Enclosing class:
    ReaderInterceptorRegistry

      public static class ReaderInterceptorRegistry.ReaderInterceptorFacade
      extends Object
      implements ReaderInterceptor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MessageBodyReaderInterceptor` | `interceptor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReaderInterceptorRegistry.ReaderInterceptorFacade(MessageBodyReaderInterceptor interceptor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `aroundReadFrom(ReaderInterceptorContext readerInterceptorContext)` Interceptor method wrapping calls to `MessageBodyReader.readFrom(java.lang.Class<T>, java.lang.reflect.Type, java.lang.annotation.Annotation[], javax.ws.rs.core.MediaType, javax.ws.rs.core.MultivaluedMap<java.lang.String, java.lang.String>, java.io.InputStream)` method.
    `MessageBodyReaderInterceptor` | `getInterceptor()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### interceptor

          protected final MessageBodyReaderInterceptor interceptor

  - ### Constructor Detail

    - #### ReaderInterceptorRegistry.ReaderInterceptorFacade

          public ReaderInterceptorRegistry.ReaderInterceptorFacade(MessageBodyReaderInterceptor interceptor)

  - ### Method Detail

    - #### getInterceptor

          public MessageBodyReaderInterceptor getInterceptor()

    - #### aroundReadFrom

          public Object aroundReadFrom(ReaderInterceptorContext readerInterceptorContext)
                                throws IOException,
                                       WebApplicationException

      Description copied from interface: `ReaderInterceptor`
      Interceptor method wrapping calls to `MessageBodyReader.readFrom(java.lang.Class<T>, java.lang.reflect.Type, java.lang.annotation.Annotation[], javax.ws.rs.core.MediaType, javax.ws.rs.core.MultivaluedMap<java.lang.String, java.lang.String>, java.io.InputStream)` method. The parameters of the wrapped method called are available from `context`. Implementations of this method SHOULD explicitly call `ReaderInterceptorContext.proceed()` to invoke the next interceptor in the chain, and ultimately the wrapped `MessageBodyReader.readFrom(java.lang.Class<T>, java.lang.reflect.Type, java.lang.annotation.Annotation[], javax.ws.rs.core.MediaType, javax.ws.rs.core.MultivaluedMap<java.lang.String, java.lang.String>, java.io.InputStream)` method.
      Specified by:
        `aroundReadFrom` in interface `ReaderInterceptor`
      Parameters:
        `readerInterceptorContext` - invocation context.
      Returns:
        result of next interceptor invoked or the wrapped method if last interceptor in chain.
      Throws:
        `IOException` - if an IO error arises or is thrown by the wrapped `MessageBodyReader.readFrom` method.
        `WebApplicationException` - thrown by the wrapped `MessageBodyReader.readFrom` method.

Copyright © 2014. All Rights Reserved.